View Issue Details

IDProjectCategoryView StatusLast Update
0001848OpenFOAM[All Projects] Bugpublic2015-09-09 19:54
ReporterwyldckatAssigned Tohenry 
PrioritylowSeveritytextReproducibilityN/A
Status resolvedResolutionfixed 
Product Versiondev 
Fixed in Version 
Summary0001848: stitchMesh is missing an example dictionary file
DescriptionAlthough it's fairly easy to create a "toleranceDict" file for stitchMesh to use, since the slide interface class will output the values it expects to use during runtime, it's still convenient (and consistent) if a dictionary file is provided in the source code folder "applications/utilities/mesh/manipulation/stitchMesh".

With this in mind, attached is the example file "toleranceDict", including comments for the respective parameters, from the files at "$FOAM_SRC/src/dynamicMesh/slidingInterface/".
TagsNo tags attached.

Activities

wyldckat

2015-09-05 19:19

updater  

toleranceDict (1,581 bytes)
/*--------------------------------*- C++ -*----------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  dev                                   |
|   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    object      toleranceDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

//For complete details on what this dictionary file should provide, see
//  $FOAM_SRC/src/dynamicMesh/slidingInterface/slidingInterface.C
//  method: Foam::slidingInterface::setTolerances

//- Point merge tolerance
pointMergeTol            0.05;

//- Edge merge tolerance
edgeMergeTol             0.01;

//- Estimated number of faces an edge goes through
nFacesPerSlaveEdge       5;

//- Edge-face interaction escape limit
edgeFaceEscapeLimit      10;

//- Integral match point adjustment tolerance
integralAdjTol           0.05;

//- Edge intersection master catch fraction
edgeMasterCatchFraction  0.4;

//- Edge intersection co-planar tolerance
edgeCoPlanarTol          0.8;

//- Edge end cut-off tolerance
edgeEndCutoffTol         0.0001;

// ************************************************************************* //
toleranceDict (1,581 bytes)

henry

2015-09-09 19:54

manager   ~0005348

Resolved by commit 2fa05868407f82951ec29f65f185fb93e32b687a

Issue History

Date Modified Username Field Change
2015-09-05 19:19 wyldckat New Issue
2015-09-05 19:19 wyldckat File Added: toleranceDict
2015-09-06 21:59 wyldckat Assigned To => henry
2015-09-06 21:59 wyldckat Status new => assigned
2015-09-09 19:54 henry Note Added: 0005348
2015-09-09 19:54 henry Status assigned => resolved
2015-09-09 19:54 henry Resolution open => fixed